permisos estándar para wordpress; La instalación del plugin pide credenciales FTP

2

Estoy en un servidor que no tiene FTP instalado y no tendré FTP instalado. Tengo otro sitio web en el que he podido instalar complementos anteriormente, incluido el que estoy intentando instalar ahora (WP-PageNavi).

¿Alguien tiene una lista de permisos estándar para WordPress que ellos mismos usan para que no se encuentren con este problema?

He leído el artículo de WordPress sobre el tema y he consultado otras preguntas en este sitio web.

Cualquier ayuda es apreciada.

    
pregunta Matt 25.10.2011 - 22:24

2 respuestas

3

Los permisos estándar para la mayoría de las instalaciones de WordPress son 755 para directorios y 644 para archivos.

Para las cargas de medios, la instalación automática de complementos y las actualizaciones de los directorios deben ser propiedad del mismo usuario con el que se está ejecutando PHP. Por lo general, esto no es nadie: nadie o www-data: www-data.

    
respondido por el Chris_O 26.10.2011 - 03:23
1

Asegúrese de que los archivos web sean propiedad del usuario del servidor web apache (en Ubuntu es "www-data"). Comprueba esto haciendo un:

ls -al

Y si no lo están, configúralos usando:

chown -R www-data:www-data folder/
    
respondido por el GavinR 26.10.2011 - 05:59

Lea otras preguntas en las etiquetas